<div class="time">
    <!-- <angular2-date-picker [(ngModel)]="date" [settings]="settings"></angular2-date-picker> -->
    <input  id="text-date" (dateTimeInput)="getTime()" 
    [(ngModel)]="date" [owlDateTime]="dt1"
        [owlDateTimeTrigger]="dt1" placeholder="{{placeholder}}">
    <owl-date-time #dt1 [pickerType]="'calendar'"></owl-date-time>
</div>